# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cyclors"
version = "0.2.7"
authors = ["kydos <angelo@icorsaro.net>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
Low-level API for the native CycloneDDS bindings (libddsc-sys).
"""
documentation = "https://docs.rs/cyclors"
readme = "README.md"
keywords = [
    "DDS",
    "CycloneDDS",
]
categories = ["api-bindings"]
license = "Apache-2.0"
repository = "https://github.com/ZettaScaleLabs/cyclors"

[lib]
name = "cyclors"
path = "src/lib.rs"

[[example]]
name = "disco"
path = "examples/disco.rs"

[dependencies.bincode]
version = "1.3.3"

[dependencies.derivative]
version = "2.2.0"

[dependencies.libc]
version = "0.2.67"

[dependencies.log]
version = "0.4.17"

[dependencies.serde]
version = "1.0.154"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.94"

[build-dependencies.bindgen]
version = "0.69"

[build-dependencies.cmake]
version = "0.1"

[features]
iceoryx = []
prefix_symbols = []
